# $Revision: 1.55 $, $Date: 2010/07/30 17:48:24 $
# TODO
# - missing deps:
#   * Sesame2 storage backend (java-based)
#   * Raptor RDF serializer
#
# Conditional build:
%bcond_without	serializer		# with raptor serializer. need to figure out proper BR
%bcond_without	sesame2			# with sesame2backend
%bcond_without	virtuoso		# with virtuosobackend

%define		qtbrver		4.6.2
%define		snap		svn1042011

Summary:	Soprano - Qt wrapper API to librdf
Summary(pl.UTF-8):	Soprano - wrapper Qt do librdf
Name:		soprano
Version:	2.4.64
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/sourceforge/soprano/%{name}-%{version}.tar.bz2
# Source0-md5:	edb7f48dd4cc0d5baa75797520c189fc
#Source0:	%{name}-%{version}-%{snap}.tar.gz
URL:		http://sourceforge.net/projects/soprano
BuildRequires:	QtCore-devel >= %{qtbrver}
BuildRequires:	QtDBus-devel >= %{qtbrver}
BuildRequires:	QtGui-devel >= %{qtbrver}
BuildRequires:	QtNetwork-devel >= %{qtbrver}
BuildRequires:	clucene-core-devel >= 0.9.16a-2
BuildRequires:	cmake >= 2.6.2
%{?with_sesame2:BuildRequires: libgcj-devel}
%{?with_serializer:BuildRequires:	libraptor-devel}
BuildRequires:	qt4-build >= %{qtbrver}
BuildRequires:	qt4-qmake >= %{qtbrver}
BuildRequires:	rasqal-devel
BuildRequires:	redland-devel >= 1.0.6
BuildRequires:	rpmbuild(macros) >= 1.453
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
%if %{with virtuoso}
BuildRequires:	libiodbc-devel
Requires:	virtuoso >= 6.1.0
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Soprano (formally known as QRDF) is a library which provides a Qt
wrapper API to different RDF storage solutions. It features named
graphs (contexts) and has a modular plug-in structure which allows to
use different RDF storage implementations.

%description -l pl.UTF-8
Soprano (wcześniej znane jako QRDF) to biblioteka udostępniająca API
wrappera Qt do różnych rozwiązań przechowywania danych RDF. Obsługuje
nazwane grafy (konteksty) i ma strukturę modularnych wtyczek, co
pozwala na używanie różnych implementacji przechowywania danych RDF.

%package devel
Summary:	Header files for soprano
Summary(pl.UTF-8):	Pliki nagłówkowe dla soprano
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for soprano.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla soprano.

%prep
%setup -q
# Sesame2 backend doesn't really use the new JNI-1.6 feature -> GetObjectRefType.
#sed -i 's:JNI_VERSION_1_6:JNI_VERSION_1_4:g' CMakeLists.txt
# cleanup.
#sed -i 's:${JAVA_INCLUDE_PATH2}::' backends/sesame2/CMakeLists.txt

%build
install -d build
cd build
# add this to get verbose output
# -DCMAKE_VERBOSE_MAKEFILE=1
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DQT_QMAKE_EXECUTABLE=%{_bindir}/qmake-qt4 \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	-DJAVA_INCLUDE_PATH=%{_libdir}/gcc/%{_target_platform}/%{cc_version}/include \
	-DJAVA_INCLUDE_PATH2=%{_libdir}/gcc/%{_target_platform}/%{cc_version}/include \
%if "%{pld_release}" == "ti"
	-DJAVA_JVM_LIBRARY=%{_libdir}/gcj-%{cc_version}-10/libjvm.so \
%else
	-DJAVA_JVM_LIBRARY=%{_libdir}/gcj-%{cc_version}-11/libjvm.so \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sopranocmd
%attr(755,root,root) %{_bindir}/sopranod
%attr(755,root,root) %{_bindir}/onto2vocabularyclass
%attr(755,root,root) %{_libdir}/libsoprano.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsoprano.so.4
%attr(755,root,root) %{_libdir}/libsopranoclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsopranoclient.so.1
%attr(755,root,root) %{_libdir}/libsopranoserver.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsopranoserver.so.1
%attr(755,root,root) %{_libdir}/libsopranoindex.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsopranoindex.so.1
%dir %{_libdir}/soprano
%attr(755,root,root) %{_libdir}/soprano/libsoprano_redlandbackend.so
%attr(755,root,root) %{_libdir}/soprano/libsoprano_nquadparser.so
%attr(755,root,root) %{_libdir}/soprano/libsoprano_nquadserializer.so
%attr(755,root,root) %{_libdir}/soprano/libsoprano_raptorparser.so
%{?with_sesame2:%attr(755,root,root) %{_libdir}/soprano/libsoprano_sesame2backend.so}
%{?with_serializer:%attr(755,root,root) %{_libdir}/soprano/libsoprano_raptorserializer.so}
%{?with_virtuoso:%attr(755,root,root) %{_libdir}/soprano/libsoprano_virtuosobackend.so}
%{_datadir}/soprano
%{_datadir}/dbus-1/interfaces/org.soprano.Model.xml
%{_datadir}/dbus-1/interfaces/org.soprano.NodeIterator.xml
%{_datadir}/dbus-1/interfaces/org.soprano.QueryResultIterator.xml
%{_datadir}/dbus-1/interfaces/org.soprano.Server.xml
%{_datadir}/dbus-1/interfaces/org.soprano.StatementIterator.xml

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsoprano.so
%attr(755,root,root) %{_libdir}/libsopranoserver.so
%attr(755,root,root) %{_libdir}/libsopranoclient.so
%attr(755,root,root) %{_libdir}/libsopranoindex.so
%dir %{_includedir}/soprano
%{_includedir}/soprano/*.h
%{_includedir}/Soprano
%{_pkgconfigdir}/soprano.pc
%{_pkgconfigdir}/sopranoserver.pc
%{_pkgconfigdir}/sopranoclient.pc
%{_pkgconfigdir}/sopranoindex.pc

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: soprano.spec,v $
Revision 1.55  2010/07/30 17:48:24  arekm
- up to 2.4.64

Revision 1.54  2010/05/01 19:58:41  shadzik
- typo

Revision 1.53  2010/05/01 19:57:01  shadzik
- i was wrong, Th is still newer

Revision 1.52  2010/05/01 19:55:00  shadzik
- unify gcj ver for th and ti (they're the same now)

Revision 1.51  2010/05/01 19:46:57  arekm
- up to 2.4.3

Revision 1.50  2010/03/05 06:55:56  arekm
- up to 2.4.1

Revision 1.49  2010/02/21 19:07:01  shadzik
- update qt BRs
- rel 2

Revision 1.48  2010/02/17 00:07:52  sparky
- BR: QtGui-devel, xorg-lib-libX11-devel, xorg-lib-libXext-devel
- dropped unused BR: QtTest-devel

Revision 1.47  2010/02/16 15:02:31  shadzik
- merged from DEVEL

Revision 1.46.2.10  2010/02/12 08:02:23  arekm
- up to 2.4.0.1

Revision 1.46.2.9  2010/02/09 19:11:13  arekm
- up to 2.4.0; require virtuoso instead of just suggesting it (virtuoso is important for kde nepomuk)

Revision 1.46.2.8  2010/02/04 19:12:52  arekm
- up to 2.3.73; drop java-sun Conflicts (no idea what it was here for)

Revision 1.46.2.7  2010/02/04 14:30:06  arekm
S lattest virtuoso

Revision 1.46.2.6  2010/01/15 19:53:09  arekm
S: virtuoso for virtuoso backend

Revision 1.46.2.5  2010/01/08 09:38:07  arekm
- revert virtuoso subpackage; libiodbc vs unixODBC conflicts solved at libiodbc side

Revision 1.46.2.4  2010/01/08 09:21:34  arekm
 move virtuoso backend to subpackage (as it requires libiodbc which conflicts with unixodbc)

Revision 1.46.2.3  2009/12/01 19:08:57  shadzik
- 2.3.70

Revision 1.46.2.2  2009/10/31 10:44:58  cactus
- virtuoso bcond (BR: libiodbc-devel)

Revision 1.46.2.1  2009/10/28 23:42:17  shadzik
- 2.3.2 snap

Revision 1.46  2009/10/28 23:13:38  shadzik
- 2.3.1

Revision 1.45  2009/07/22 08:34:28  shadzik
- oops

Revision 1.44  2009/07/22 08:31:49  shadzik
- add SopranoAddOntology.cmake

Revision 1.43  2009/07/21 23:14:07  shadzik
- merged from DEVEL
- 2.3.0

Revision 1.42.2.3  2009/07/21 23:13:19  shadzik
- 2.3.0

Revision 1.42.2.2  2009/07/13 19:55:00  shadzik
- fix for Titanium

Revision 1.42.2.1  2009/06/09 08:04:01  paszczus
- updated to 2.3 svn version

Revision 1.42  2009/06/08 21:32:46  shadzik
- rel 2

Revision 1.41  2009/06/08 21:31:44  shadzik
- gcjdbexecdir changed to 10

Revision 1.40  2009/03/11 07:49:46  arekm
- up to 2.2.3

Revision 1.39  2009/02/13 00:38:19  shadzik
- rel 2

Revision 1.38  2009/02/09 20:13:47  arekm
- up to 2.2.1

Revision 1.37  2009/01/21 18:53:27  arekm
- up to 2.1.67

Revision 1.36  2008/11/29 05:07:26  shadzik
- fix what adapter has broken
- BC: java-sun

Revision 1.35  2008/11/29 01:35:29  shadzik
- 2.1.64

Revision 1.34  2008/09/29 21:05:28  qboosh
- unified cmake -D options

Revision 1.33  2008/08/21 14:53:51  deejay1
- up to 2.1.1

Revision 1.32  2008/08/15 19:01:33  adamg
- do not own %{_datadir}/dbus-1/interfaces

Revision 1.31  2008/07/24 13:23:25  arekm
- up to 2.1

Revision 1.30  2008/06/25 12:20:40  shadzik
- verbosity off by default
- added comment on how to turn it on

Revision 1.29  2008/06/24 20:14:01  arekm
- rel 3

Revision 1.28  2008-05-24 15:39:51  shadzik
- useless BRs

Revision 1.27  2008-05-20 08:38:56  pluto
- relax java deps, release 2.

Revision 1.26  2008-05-09 03:30:41  shadzik
- remove snapshot bullshit

Revision 1.25  2008-04-30 14:50:06  cactus
- up to 2.0.98
- rel. 1
- bcond snap

Revision 1.24  2008-04-20 10:11:32  shadzik
- up to svn799072
- it's actually version 2.0.98 (as version.h tells) and not 2.1.0 (as changelog tells)
  sorry for that mistake
- downgraded version without adding epoch

Revision 1.23  2008-04-19 15:51:12  shadzik
- up to 2.1.0 svn798832

Revision 1.22  2008-03-28 03:32:43  shadzik
- sesame2 bcond
- rel 2

Revision 1.21  2008-03-28 02:45:02  shadzik
- adjusted BRs

Revision 1.20  2008-03-28 02:32:40  shadzik
- 2.0.97 svn
- removed patch0

Revision 1.19  2008-03-24 21:24:47  shadzik
- add patch0
- fixes build with qt 4.4.0, breaks build with older qt4 version (NOTE: Titanium needs a branch here for now)

Revision 1.18  2008-03-24 21:05:49  shadzik
- added one more file
- build on Titanium with Qt4.3.4 (seems not to build on Th builders with Qt 4.4.0.beta1)

Revision 1.17  2008-03-24 18:24:25  shadzik
- BR: QtCore-devel

Revision 1.16  2008-03-24 17:09:23  shadzik
- 2.0.3

Revision 1.15  2008-03-24 16:56:48  shadzik
- rel 3 (rebuild with new clucene-core 0.9.20)

Revision 1.14  2008-02-06 18:42:21  shadzik
- reverted bogus BRs
- more accurate clucence-core-devel BR

Revision 1.13  2008-02-06 17:50:41  rotom
- BR added
- some files packed

Revision 1.12  2008-02-04 20:04:54  paszczus
- updated to 2.0.0

Revision 1.11  2008-01-20 15:46:14  glen
- more BR, serializer bcond

Revision 1.10  2008-01-20 05:25:24  glen
- rpm macros for cmake

Revision 1.9  2008-01-04 19:51:47  qboosh
- qt4-qmake -> qmake-qt4
- pkgconfig file moved to -devel

Revision 1.8  2007-12-29 20:30:22  glen
- rel 2

Revision 1.7  2007-12-29 15:44:18  glen
- BR QtDBus-devel

Revision 1.6  2007-12-11 17:38:29  rotom
- up to 1.99 rc2

Revision 1.5  2007-06-03 10:14:19  qboosh
- .so symlink moved to -devel
- use verbose makefile (don't hide commands)

Revision 1.4  2007/06/03 08:58:52  qboosh
- pl

Revision 1.3  2007/06/02 16:59:29  cactus
- added project url
- added description (eng. only)
- added License GPLv2

Revision 1.2  2007/06/02 14:58:42  shadzik
- better versioning (before it gets to builders)

Revision 1.1  2007/06/02 14:47:29  shadzik
- initial
